RAR(1)

NAME
rar - archive files with compression

SYNOPSIS
rar <command> [-<switch 1> -<switch N>] archive [files...] [@listfiles...] [path_to_extract]

DESCRIPTION
This manual page documents briefly the rar archiver.
This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.
Commands and options described here are as of rar 7.00.

rar is a program for creating and manipulating .rar archives.

COMMANDS
After the program name comes a command and then optional switches with dashes before them.
A summary of commands is included below. For a complete description, run rar -?

a   Add files to archive.

c   Add archive comment. Comment length is limited to 256 KB.

ch  Change archive parameters. Can be used with most of archive modification options.

cw  Write archive comment to a specified file.

d   Delete files from archive.

e   Extract files to current directory. Does not create any subdirectories.

f   Freshen files in archive. Updates those files changed since they were packed to the archive. This command will not add new to the archive.

k   Lock archive. Any command which intend to change the archive will be ignored.

l[t[a],b]
    List content of archive [technical[all], bare].
     'lt' displays the detailed file information in multiline mode. Commands 'lt', 'lta' and 'lb' are equal to 'vt', 'vta' and 'vb' correspondingly.

m[f]
    Move to archive [files only]. Directories will not be removed if 'f' modifier is used and/or '-ed' switch is applied.

p   Print file to stdout.

r   Repair archive. For further details look in rar.txt.

rc  Reconstruct missing volumes using recovery volumes (.rev files). You need to specify any existing volume as the archive name, for example, 'rar rc backup.part03.rar'.

rn  Rename archived files.

rr[N]
    Add data recovery record. Optionally, redundant information (recovery record) may be added to an archive.

rv[N]
    Create recovery volumes (.rev files), which can be later used to reconstruct missing files in a volume set. This command has sense only for multivolume archives. For further details look in rar.txt.

s[name|-]
    Convert archive to or from SFX. The archive is merged with SFX-module in the user's home directory.

t   Test archive files.

u   Update files in archive. Adds files not already in the archive and updates files changed since they were packed to the archive.

v[t[a],b]
    Verbosely list archive [technical]

x   Extract files with full path.

OPTIONS
NOTE: Every switch must be separated by a whitespace. They cannot be put together.

-?  Display help on commands and switches. The same as when none or an illegal command line option is entered.

--  This switch tells to RAR that there is no more switches in the command line. It could be useful, if either archive or file name starts from '-' character. Without '--' switch such name would be treated as switch.

-@[+]
    Disable [enable] file lists.

-ad[1,2]
    Alternate destination path.

-ag[format]
    Generate archive name using the current date and time. Appends the current date string to an archive name when creating an archive. Useful for daily backups. For further details look in rar.txt.

-ai Ignore file attributes.

-am[s,r]
    Archive name and time [save, restore]

-ap<path>
    Set path inside archive. This path is merged to file names when adding files to an archive and removed from file names when extracting.

-as Synchronize archive contents.
    If this switch is used when archiving, those archived files which are not present in the list of the currently added files, will be deleted from archive. It is convenient to use this switch in combination with -u (update) to synchronize contents of an archive and an archiving directory.

-cfg-
    Disable reading configuration and environment.

-cl Convert file names to lower case.

-cu Convert file names to upper case.

-c- Disable showing comments.

-df Delete files after archiving. This switch in combination with the command "a" performs the same action as the command "m".

-dh Open shared files. Allows one to process files opened by other applications for writing.

-ds Do not sort files while adding to a solid archive.

-dw Wipe files after archiving.

-ed Do not add empty directories.

-ep Exclude paths from names.

-ep1
    Exclude base dir from names.

-ep2
    Expand paths to full. Store full file paths (except a drive letter and leading path separator) when archiving.

-ep4<path>
    Exclude the path prefix from names.

-e[+]<attr>
    Set file exclude [or include] attributes.

-f  Freshen files. May be used with archive extraction or creation.

-hp[password]
    Encrypt both file data and headers. The password is case-sensitive. If you omit the password on the command line, you will be prompted with message "Enter password".

-ht[b|c]
    Select hash type [BLAKE2,CRC32] for file checksum.

-id[c,d,n,p,q]
    Display or disable messages.

-ierr
    Send all messages to stderr.

-ilog[name]
    Log errors to file.

-inul
    Disable all messages.

-isnd[-]
    Control notification sounds.

-iver
    Display the version number

-k  Lock archive.
    Any command which intends to change the archive will be ignored.

-kb Keep broken extracted files.

-log[f][=name]
    Write names to log file.

-m<0..5>
    Set compression level (0-store...3-default...5-best). By default rar uses -m3 method (Normal compression).

-mc<par>
    Set advanced compression parameters. For further details look in rar.txt.

-md<size>[k,m,g]
    Set dictionary size in KB, MB or GB.

-me[par]
    Set encryption parameters.

-ms[ext;ext]
    Specify file types (extensions) to store.

-mt<threads>
    Set the number of threads.
    If this switch is not specified, RAR will try to detect the number of available processors and selects the optimal number of threads automatically.

-n<file>
    Additionally filter included files.

-n@ Read additional filter masks from stdin.

-n@<list>
    Read additional filter masks from list file.

-o+ Overwrite existing files.

-o- Do not overwrite existing files.

-oh Save hard links as the link instead of the file.

-oi[0-4][:min]
    Save identical files as references.

-ol[a,-]
    Process symbolic links as the link [absolute path, skip].

-op<path>
    Set the output path for extracted files.

-or Rename files automatically.

-ow Save or restore file owner and group.

-p[password]
    Encrypt files with the given string as password while archiving. The password is case-sensitive. If you omit the password on the command line, you will be prompted with message "Enter password".

-qo[-|+]
    Add quick open information [none|force].

-r  Recurse subdirectories.

-r- Disable recursion.

-r0 Similar to -r, but when used with the commands 'a', 'u', 'f', 'm' will recurse subdirectories only for wildcard names.

-rr[N]
    Add data recovery record.

-rv[N]
    Create recovery volumes. -s Create solid archive.

-s<N>
    Create solid groups using file count. Similar to -s, but reset solid statistics after compressing <N> files.

-se Create solid groups using extension. Similar to -s, but reset solid statistics if file extension is changed.

-sv Create independent solid volumes. Similar to -s, but reset solid statistics as soon as possible when starting a new volume.

-sv-
    Create dependent solid volumes. Similar to -s, but reset of solid statistics is disabled.

-s- Disable solid archiving.

-sc<chr>[obj]
    Specify the character set.

-sfx[name]
    Create SFX archives. The archive is merged with SFX-module "name" in the user's home directory. The default module is taken from /usr/lib/default.sfx.

-si[name]
    Read data from standard input (stdin).

-sl<size>
    Process files with size less than specified.

-sm<size>
    Process files with size more than specified.

-t  Test files after archiving. This switch is especially useful in combination with the move command, so files will be deleted only if the archive has been successfully tested.

-ta[mcao]<d>
    Process files modified after <d> YYYYMMDDHHMMSS date.

-tb[mcao]<d>
    Process files modified before <d> YYYYMMDDHHMMSS date.

-tk Keep original archive time. Prevents rar from modifying the archive date when changing an archive.

-tl Set archive time to latest file. Forces rar to set the date of a changed archive to the date of the newest file in the archive.

-tn[mcao]<t>
    Process files newer than <t> time.

-to[mcao]<t>
    Process files older than <t> time.

-ts[m,c,a,p]
    Save or restore time (modification, creation, access, preserve).

-u  Update files.

-v<size>[b|B|k|K|m|M|g|G|t|T]
    Create volumes with size=<size>*1000 [*1024, *1] bytes.

-ver[n]
    File version control.

-vp Pause before each volume.

-w<path>
    Assign work directory.

-x<file>
    Exclude specified file. Wildcards may be used and you may specify the switch '-x' several times.

-x@<list>
    Exclude files in specified list file.

-x@ Read file names to exclude from stdin.

-y  Assume Yes on all queries.

-z[file]
    Read archive comment from file. If [file] is not present, comment is read from stdin.

SEE ALSO
The program is documented fully in rar.txt which you find in /usr/share/doc/rar.

AUTHORS
This manual page was written by Petr Cech <cech@debian.org> according to "rar -?" for the Debian GNU/Linux system (but may be used by others).